#slideset {
    position: relative;
    padding-bottom: 66%; /* hæð á 3:2 hlutfall */
    height: 0;
    display: flex;
    align-items: center;
    overflow: hidden;
}
/*Each slide is positioned in the container and gets an 'opacity' of 0, 
i.e., it is fully transparent (invisible).*/
#slideset > * {
    animation: 180s autoplay infinite linear;
    position: absolute; 
    top: 100%; 
    left: 0; 
    width: 100%;
    height: 100%;
    padding-top: 1rem;
    
}
@keyframes autoplay {
  0% {top: 100%}
  1% {top: 0%}
  6% {top: 0%}
  6.5% {top: -100%}
  100% {top: -100%}
}
/* As before, each slide starts its animation 4 seconds after the preceding slide. 
That means each slide starts fading in exactly as the previous slide starts fading out. 
(33.33% of 12 seconds is 4 seconds.)*/
#slideset > *:nth-child(1) {animation-delay: 0s}
#slideset > *:nth-child(2) {animation-delay: 10s}
#slideset > *:nth-child(3) {animation-delay: 20s}
#slideset > *:nth-child(4) {animation-delay: 30s}
#slideset > *:nth-child(5) {animation-delay: 40s}
#slideset > *:nth-child(6) {animation-delay: 50s}
#slideset > *:nth-child(7) {animation-delay: 60s}
#slideset > *:nth-child(8) {animation-delay: 70s}
#slideset > *:nth-child(9) {animation-delay: 80s}
#slideset > *:nth-child(10) {animation-delay: 90s}
#slideset > *:nth-child(11) {animation-delay: 100s}
#slideset > *:nth-child(12) {animation-delay: 110s}

/*pause functionality*/
#kvaedi.pause-button {
  display: block;
  position: absolute;
  z-index: 10;
  top: 1rem;
  right: 1rem;
  padding: 0.5rem 1rem;
  background-color: var(--pico-primary);
  color: var(--pico-primary-inverse);
  border-radius: 0.25rem;
  cursor: pointer;
  text-align: center;
  transition: background-color 0.2s;
  border: none;
  font-size: 1rem;
}

.pause-button:hover {
  background-color: var(--pico-primary-hover);
}

#slideset6.paused > * {
  animation-play-state: paused;
}
#kvaedi {
  text-align: center;
}
#slideset6 h4 {
  line-height: 2rem;
}